alter table PosizioneUdcStorico drop
  constraint FK_PosizioneUdcStorico_ElencoCartellini 
go

alter table StoricoCartellini drop
  constraint FK_StoricoEventi_ElencoCartellini 
go

set xact_abort on
go

begin transaction
go

UPDATE dbo.TabTranPosizEventi SET 
  IdxPosizioneTo=-84
  WHERE CodEvento=N'MagPreFus' and IdxPosizione=84
go

commit transaction
go



set xact_abort on
go

begin transaction
go

set ANSI_NULLS on
go

/***************************************
* STORED stp_anagFullParticolare
*
* ottiene il dettaglio delle specifiche di un particolare dato il suo codice A PARTIRE DALL'ANAGRAFICA COMPLETA
*
* Steamware, S.E.L.
* mod: 2010.11.17
*
****************************************/
create PROCEDURE stp_anagFullParticolare
(
	@Particolare NVARCHAR(15)
)
AS

SELECT      *
FROM        dbo.v_AnagDatiParticolari
WHERE       Particolare=@Particolare


RETURN
go

commit
go



set xact_abort on
go

begin transaction
go

set ANSI_NULLS on
go

/***************************************
* STORED stp_rettMovAs400
*
* inserisce nella tabella per i trasferimenti batch verso magazzino AS una quantità di rettifica (con segno - )per UDC eventualmente già scaricati a sistema
*
* Steamware, S.E.L.
* mod: 2010.11.02
*
****************************************/
alter PROCEDURE stp_rettMovAs400
(
	@Particolare NVARCHAR(50),
	@UDC NVARCHAR(20),
	@CodMagAS NVARCHAR(50),
	@Qta DECIMAL(10,2),
	@CodEvento NVARCHAR(10)
)
AS

BEGIN
	
	INSERT INTO AS400_BatchMovimenti(DataIns, CodEvento, Particolare, UDC, CodMagAS, Quantita)
	VALUES (GETDATE(), @CodEvento, @Particolare, @UDC, @CodMagAS, -@Qta)

END

RETURN
go

commit
go



set xact_abort on
go

begin transaction
go

set ANSI_NULLS on
go

/***************************************
* STORED stp_UDC_getByTipoDelibera
*
* elenco cartellini che possono essere oggetto della delibera indicata
*
* Steamware, S.E.L.
* mod: 2010.07.29
*
****************************************/
alter PROCEDURE stp_UDC_getByTipoDelibera
(
	@CodTipoDelibera NVARCHAR(50),
	@DataFrom DATETIME,
	@DataTo DATETIME
)
AS

SELECT		*
FROM        ElencoCartellini
WHERE       IdxPosizione IN (
				SELECT		TabTranPosizEventi.IdxPosizione
				FROM        TabTranPosizEventi INNER JOIN AnagTipoEvento ON TabTranPosizEventi.CodEvento = AnagTipoEvento.CodEvento 
							INNER JOIN AnagTipoDelibere ON AnagTipoEvento.CodEvento = AnagTipoDelibere.CodEvento
				WHERE		(AnagTipoDelibere.CodTipoDelibera = @CodTipoDelibera)
			) -- vincolo su posizioni accettabili
			AND DataFus BETWEEN @DataFrom AND @DataTo -- vincolo data
			AND UDC NOT IN (SELECT DISTINCT UDC FROM PosizioneUdcCorrente puc INNER JOIN Celle c on puc.IdxCella=c.IdxCella INNER JOIN TipoCella tc ON c.IdxTipoCella=tc.IdxTipoCella WHERE tc.CodMag = 'OVAS')
ORDER BY	UDC DESC

RETURN
go

commit
go



set xact_abort on
go

begin transaction
go

set ANSI_NULLS on
go

alter VIEW v_AnagDatiParticolari
AS
SELECT DISTINCT 
                         ISNULL(part.CodCliente, N'') AS CodCliente, ISNULL(Cli.RagSociale, N'') AS RagSociale, part.Particolare, part.DescParticolare, ISNULL(part.DisegnoGrezzo, N'') 
                         AS DisegnoGrezzo, ISNULL(Espo.Esponente, N'') AS Esponente, ISNULL(Stamp.CodStampo, N'') AS CodStampo, ISNULL(Fig.Figura, N'') AS Figura
FROM            RilPro.AnagParticolari AS part LEFT OUTER JOIN
                         RilPro.StampoArticolo AS Stamp ON part.Particolare = Stamp.Particolare LEFT OUTER JOIN
                         RilPro.StampoEsponente AS Espo ON Stamp.CodStampo = Espo.CodStampo LEFT OUTER JOIN
                         RilPro.StampoFigure AS Fig ON Stamp.CodStampo = Fig.CodStampo LEFT OUTER JOIN
                         RilPro.AnagClienti AS Cli ON part.CodCliente = Cli.CodCliente
go

exec sp_addextendedproperty 'MS_DiagramPane1', '[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "part"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 135
               Right = 208
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Stamp"
            Begin Extent = 
               Top = 6
               Left = 246
               Bottom = 135
               Right = 421
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Espo"
            Begin Extent = 
               Top = 138
               Left = 38
               Bottom = 267
               Right = 208
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Fig"
            Begin Extent = 
               Top = 138
               Left = 246
               Bottom = 250
               Right = 416
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Cli"
            Begin Extent = 
               Top = 252
               Left = 246
               Bottom = 347
               Right = 416
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
 ', 'SCHEMA', 'dbo', 'VIEW', 'v_AnagDatiParticolari'
go

exec sp_addextendedproperty 'MS_DiagramPane2', '        Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
', 'SCHEMA', 'dbo', 'VIEW', 'v_AnagDatiParticolari'
go

exec sp_addextendedproperty 'MS_DiagramPaneCount', 2, 'SCHEMA', 'dbo', 'VIEW', 'v_AnagDatiParticolari'
go

commit
go


set xact_abort on
go

begin transaction
go

set ANSI_NULLS on
go

/***************************************
* STORED stp_processaSpedizTerz
*
* effettua la spedizione verso i terzisti, se deliberati è ok così, se non deliberati restano in posizione 305 da deliberare
*
* Steamware, S.E.L.
* mod: 2010.11.17
*
****************************************/
create PROCEDURE stp_processaSpedizTerz
AS

-- UDC x cursore
DECLARE @UDC NVARCHAR(50)       -- UDC SQL    
-- evento da usare
DECLARE @CodEvento AS NVARCHAR(10)
SET		@CodEvento = 'SpeWipTerz'


 -- Dichiaro e carico il cursore
	DECLARE Udc4Ter CURSOR LOCAL FOR
		SELECT UDC FROM ElencoCartellini WHERE IdxPosizione IN (SELECT IdxPosizione FROM TabTranPosizEventi WHERE CodEvento = @CodEvento)
	
	OPEN Udc4Ter
		FETCH NEXT FROM Udc4Ter 
		INTO @UDC
	
	WHILE @@FETCH_STATUS = 0
	BEGIN
		-- processo gli UDC...
		UPDATE	ElencoCartellini
		SET		IdxPosizione = ttpe.IdxPosizioneTo
		FROM	ElencoCartellini ec INNER JOIN TabTranPosizEventi ttpe ON ec.IdxPosizione=ttpe.IdxPosizione
		WHERE	ec.UDC = @UDC AND ttpe.CodEvento = @CodEvento

		FETCH NEXT FROM Udc4Ter INTO @UDC
	END
	CLOSE Udc4Ter
	DEALLOCATE Udc4Ter
	
RETURN
go

commit
go



set xact_abort on
go

begin transaction
go

DELETE FROM dbo.TabTranPosizEventi WHERE CodEvento=N'SpeWipNoDe' and IdxPosizione=290
DELETE FROM dbo.TabTranPosizEventi WHERE CodEvento=N'SpeWipOkDe' and IdxPosizione=295
go

commit transaction
go

set xact_abort on
go

begin transaction
go

INSERT INTO dbo.AnagTipoEvento
  VALUES (N'SpeWipTerz', N'Spedizione di materiale a terzisti')
DELETE FROM dbo.AnagTipoEvento WHERE CodEvento=N'SpeWipNoDe'
DELETE FROM dbo.AnagTipoEvento WHERE CodEvento=N'SpeWipOkDe'
go

commit transaction
go


set xact_abort on
go

begin transaction
go

INSERT INTO dbo.TabTranPosizEventi
  VALUES (N'SpeWipTerz', 290, 305)
INSERT INTO dbo.TabTranPosizEventi
  VALUES (N'SpeWipTerz', 295, 300)
go

commit transaction
go




-- registro versione...
INSERT INTO [dbo].[LogUpdateDb] ([Versione],[Data]) VALUES(315, GETDATE())
GO
